function Bspec = bisp_ofb(spectra, nfft, num_oct)

simm_ids_value = 16 * num_oct;
                                        
mask = hankel(1:nfft,[nfft,1:nfft-1]);
Yf = spectra;
CYf    = conj(Yf);
Bspec  = (Yf' * Yf) .* reshape(CYf(mask), nfft, nfft);
   
% Bspec  = triu(abs(Bspec));
Bspec  = triu(Bspec);
   
[I J] = find(abs(Bspec));
sum = I + J;
for id = 1:length(sum)
    if sum(id) > simm_ids_value
        Bspec(I(id),J(id)) = 0;
    end
end

return